Skip to main content
POST
/
v2
/
regions
Add multiple regions
curl --request POST \
  --url https://api.example.com/v2/regions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "config": {}
}'
{
  "config": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.mosey.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

legal_entity_public_id
string | null
user_or_platform_public_id
string | null
platform_public_id
string | null

Body

application/json

A dictionary mapping state codes to their respective platform region configurations. The key for the dictionary is the StateCode which is the 2 character state code. To view the entire list of supported state codes, see StateCode enum.

config
Config · object
required

A dictionary with two character state code as key and regional configuration as value.

Response

A successful response will contain the dictionary containing regions, with employee counts. For a successful response, this will match the request.

A dictionary mapping state codes to their respective platform region configurations. The key for the dictionary is the StateCode which is the 2 character state code. To view the entire list of supported state codes, see StateCode enum.

config
Config · object
required

A dictionary with two character state code as key and regional configuration as value.